<template>
  <div class="header">
      <Popup
        v-if="$store.getters.getShow"
        @closePopUp="closePop"
        @SuccsesReg="closePop"
        @adduser="closebth"
      />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css"
    />
    <div class="header__content">
      <img src="../../assets/tiktok.png" alt="logo" class="header__logo" />
      <form action="" method="get">
        <input name="s" placeholder="Искать здесь..." type="text" />
        <button type="submit" class="b_search"></button>
      </form>
      <button v-if="!$store.getters.getLog" @click="showPopup" class="header__login">
        <p>Войти</p>
      </button>
      <button class="header__login" v-else @click="OutUser">Пользователь/Выйти</button>
    </div>
  </div>
</template>

<script>
import Popup from "../Popup/index"
import firebase from "firebase/app";

export default {
  components:{
    Popup,
  },
  methods:{
    showPopup(){
      this.$store.commit("setOpen")
    },
    closePop(){
      this.$store.commit("closeOpen")
    },
    closebth(){
      this.$store.commit("closeBTH")
      this.$store.commit("closeOpen")
    },
    OutUser(){
      firebase.auth().signOut().then( () => {
        this.$store.commit("Outuser")
        console.log('Signed Out')
      }, function(error) {
        console.error('Sign Out Error', error);
      });

    }
  }
}
</script>

<style lang="scss">

.header {
    display: flex;
    position: fixed;
    width: 100%;
    height: 70px;
    background: white;
    border-bottom: 1px solid rgba(34, 90, 89, 0.2);
    box-sizing: border-box;
    justify-content: center;
    z-index: 2;

    &__content {
    display: flex;
    height: 70px;
    box-sizing: border-box;
    padding-top: 14px;
  }

&__logo{
    width: 119px;
    height: 32px;
    margin-right: 170px;
  }
  &__login {
  height: 48px;
  width: 164px;
  border: none;
  background-color: #fe2c55;
  text-align: center;
  color: #f1f1f2;
  font-family: "sofiapro-semibold", PingFangSC, sans-serif;
  font-weight: 700;
  cursor: pointer;
  }
}

form {
  position: relative;
  width: 350px;
  margin-right: 167px;
}
input {
  width: 100%;
  height: 42px;
  padding-left: 10px;
  border: none;
  border-radius: 25px;
  outline: none;
  background: #f1f1f2;
  color: #9e9c9c;
}
.b_search {
  position: absolute;
  top: 5px;
  right: 2px;
  width: 40px;
  height: 31px;
  border: none;
  background: #f1f1f2;
  border-radius: 0 25px 25px 0;
  border-left: 1px solid #9e9c9c;
  cursor: pointer;
}
.b_search:before {
  content: "\f002";
  font-family: FontAwesome;
  font-size: 16px;
  color: #9e9c9c;
}

</style>